package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKING_FILE"
)
public class TCoreMaskingFile extends TBaseEntity {
   private String filesystemid;
   private String mappingkey;
   private String datadirection;
   private Date filetime;
   private String filesize;
   private String filename;
   private String filepath;
   private Date createtime;

   public TCoreMaskingFile() {
   }

   public TCoreMaskingFile(String filesystemid, String mappingkey, String datadirection, Date filetime, String filesize, String filename, String filepath, Date createtime) {
      this.filesystemid = filesystemid;
      this.mappingkey = mappingkey;
      this.datadirection = datadirection;
      this.filetime = filetime;
      this.filesize = filesize;
      this.filename = filename;
      this.filepath = filepath;
      this.createtime = createtime;
   }

   public String getFilesystemid() {
      return this.filesystemid;
   }

   public void setFilesystemid(String filesystemid) {
      this.filesystemid = filesystemid;
   }

   public String getMappingkey() {
      return this.mappingkey;
   }

   public void setMappingkey(String mappingkey) {
      this.mappingkey = mappingkey;
   }

   public String getDatadirection() {
      return this.datadirection;
   }

   public void setDatadirection(String datadirection) {
      this.datadirection = datadirection;
   }

   public Date getFiletime() {
      return this.filetime;
   }

   public void setFiletime(Date filetime) {
      this.filetime = filetime;
   }

   public String getFilesize() {
      return this.filesize;
   }

   public void setFilesize(String filesize) {
      this.filesize = filesize;
   }

   public String getFilename() {
      return this.filename;
   }

   public void setFilename(String filename) {
      this.filename = filename;
   }

   public String getFilepath() {
      return this.filepath;
   }

   public void setFilepath(String filepath) {
      this.filepath = filepath;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String toString() {
      return "TCoreMaskingFile [filesystemid=" + this.filesystemid + ", mappingkey=" + this.mappingkey + ", datadirection=" + this.datadirection + ", filetime=" + this.filetime + ", filesize=" + this.filesize + ", filename=" + this.filename + ", filepath=" + this.filepath + ", createtime=" + this.createtime + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.datadirection == null ? 0 : this.datadirection.hashCode());
      result = 31 * result + (this.filename == null ? 0 : this.filename.hashCode());
      result = 31 * result + (this.filepath == null ? 0 : this.filepath.hashCode());
      result = 31 * result + (this.filesize == null ? 0 : this.filesize.hashCode());
      result = 31 * result + (this.filesystemid == null ? 0 : this.filesystemid.hashCode());
      result = 31 * result + (this.filetime == null ? 0 : this.filetime.hashCode());
      result = 31 * result + (this.mappingkey == null ? 0 : this.mappingkey.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMaskingFile other = (TCoreMaskingFile)obj;
         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.datadirection == null) {
            if (other.datadirection != null) {
               return false;
            }
         } else if (!this.datadirection.equals(other.datadirection)) {
            return false;
         }

         if (this.filename == null) {
            if (other.filename != null) {
               return false;
            }
         } else if (!this.filename.equals(other.filename)) {
            return false;
         }

         if (this.filepath == null) {
            if (other.filepath != null) {
               return false;
            }
         } else if (!this.filepath.equals(other.filepath)) {
            return false;
         }

         if (this.filesize == null) {
            if (other.filesize != null) {
               return false;
            }
         } else if (!this.filesize.equals(other.filesize)) {
            return false;
         }

         if (this.filesystemid == null) {
            if (other.filesystemid != null) {
               return false;
            }
         } else if (!this.filesystemid.equals(other.filesystemid)) {
            return false;
         }

         if (this.filetime == null) {
            if (other.filetime != null) {
               return false;
            }
         } else if (!this.filetime.equals(other.filetime)) {
            return false;
         }

         if (this.mappingkey == null) {
            if (other.mappingkey != null) {
               return false;
            }
         } else if (!this.mappingkey.equals(other.mappingkey)) {
            return false;
         }

         return true;
      }
   }
}
